Bug 49167 - Migrate saml/univention-saml to dh_python2
Migrate saml/univention-saml to dh_python2
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 4.4
All Linux
: P5 normal (vote)
: UCS 4.4-2-errata
Assigned To: Florian Best
Johannes Keiser
:
Depends on: 49147
Blocks: 28497
  Show dependency treegraph
 
Reported: 2019-03-28 10:27 CET by Florian Best
Modified: 2019-11-20 13:26 CET (History)
1 user (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2019-03-28 10:27:29 CET
The package saml/univention-saml should be migrated to use dh_python instead of python-support.

Migration-Guide: https://hutten.knut.univention.de/mediawiki/index.php/Python_DebHelper_Migration
Comment 1 Florian Best univentionstaff 2019-11-08 17:27:40 CET
The package univention-saml-schema has been migrated to dh_python2. It provides only UDM modules.
Python-3 files have been added as well.

univention-saml (6.0.2-14)
9d17310cd704 | Bug #49167: migrate to dh_python

univention-saml.yaml
ebcae41b603c | YAML Bug #49167
Comment 2 Johannes Keiser univentionstaff 2019-11-20 11:17:17 CET
OK code changes
OK dpkg -L
OK UDM modules
OK yaml
-> verified
Comment 3 Arvid Requate univentionstaff 2019-11-20 13:26:47 CET
<http://errata.software-univention.de/ucs/4.4/358.html>